Bug 1024509 - Switching source from HDD ISO to network causes a traceback
Switching source from HDD ISO to network causes a traceback
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Brian Lane
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 16:01 EDT by Martin Kolman
Modified: 2014-06-17 21:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-19.31.39-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:31:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kolman 2013-10-29 16:01:01 EDT
Description of problem:
Switching from the HDD ISO source to the network source causes a traceback

Version-Release number of selected component (if applicable):

How reproducible:
always

Steps to Reproduce:
1. got to the source spoke
2. select the the HDD ISO option
3. select a device and a valid rhel7 iso from it
4. click done and wait for the source refresh to finish
5. go to the source spoke and select the network source
6. click done, then enter any spoke and click done
7. traceback window is displayed:

"AttributeError: 'F18_Url' object has no attribute 'partition'

Actual results:
traceback


Expected results:
Anaconda correctly switches from the HDD ISO source to the network source.
Comment 4 Ludek Smid 2014-06-13 08:31:25 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.